Patchwork [1/2] libav: Add v9.10

login
register
mail settings
Submitter Andrei Gherzan
Date Dec. 4, 2013, 6:46 p.m.
Message ID <1386182811-3588-1-git-send-email-andrei@gherzan.ro>
Download mbox | patch
Permalink /patch/62849/
State New
Headers show

Comments

Andrei Gherzan - Dec. 4, 2013, 6:46 p.m.
This version includes libavresample needed for packages like xbmc.
To use this version add:
PREFERRED_VERSION_libav = "9.10".

Signed-off-by: Andrei Gherzan <andrei@gherzan.ro>
---
 meta/recipes-multimedia/libav/libav_9.10.bb | 13 +++++++++++++
 1 file changed, 13 insertions(+)
 create mode 100644 meta/recipes-multimedia/libav/libav_9.10.bb
Paul Eggleton - Dec. 4, 2013, 6:57 p.m.
On Wednesday 04 December 2013 20:46:50 Andrei Gherzan wrote:
> This version includes libavresample needed for packages like xbmc.
> To use this version add:
> PREFERRED_VERSION_libav = "9.10".

We really want to avoid having too many versions of the same recipe hanging 
around. However, it seems premature to drop 0.8.x at this point. Perhaps we 
should drop the libav_git recipe that we currently have, since that is just 
pointing at an old 0.9.x version?

Anyone have any thoughts on this?

Cheers,
Paul
Martin Jansa - Dec. 4, 2013, 7:07 p.m.
On Wed, Dec 04, 2013 at 06:57:20PM +0000, Paul Eggleton wrote:
> On Wednesday 04 December 2013 20:46:50 Andrei Gherzan wrote:
> > This version includes libavresample needed for packages like xbmc.
> > To use this version add:
> > PREFERRED_VERSION_libav = "9.10".
> 
> We really want to avoid having too many versions of the same recipe hanging 
> around. However, it seems premature to drop 0.8.x at this point. Perhaps we 
> should drop the libav_git recipe that we currently have, since that is just 
> pointing at an old 0.9.x version?
> 
> Anyone have any thoughts on this?

Or update it to point to newer (or the same revision as 9.10)

> 
> Cheers,
> Paul
> 
> -- 
> 
> Paul Eggleton
> Intel Open Source Technology Centre
> _______________________________________________
> Openembedded-core mailing list
> Openembedded-core@lists.openembedded.org
> http://lists.openembedded.org/mailman/listinfo/openembedded-core
Andrei Gherzan - Dec. 4, 2013, 8:08 p.m.
Hello,


On Wed, Dec 4, 2013 at 8:57 PM, Paul Eggleton <paul.eggleton@linux.intel.com
> wrote:

> On Wednesday 04 December 2013 20:46:50 Andrei Gherzan wrote:
> > This version includes libavresample needed for packages like xbmc.
> > To use this version add:
> > PREFERRED_VERSION_libav = "9.10".
>
> We really want to avoid having too many versions of the same recipe hanging
> around. However, it seems premature to drop 0.8.x at this point. Perhaps we
> should drop the libav_git recipe that we currently have, since that is just
> pointing at an old 0.9.x version?
>
> Anyone have any thoughts on this?
>

Yes. I think this is a good thing. The idea is that they maintain two types
of releases: 0.X and 9.X so probably there are some incompatibilities
between these two.

ag

Patch

diff --git a/meta/recipes-multimedia/libav/libav_9.10.bb b/meta/recipes-multimedia/libav/libav_9.10.bb
new file mode 100644
index 0000000..a76cc9c
--- /dev/null
+++ b/meta/recipes-multimedia/libav/libav_9.10.bb
@@ -0,0 +1,13 @@ 
+require libav.inc
+
+SRC_URI = "http://libav.org/releases/libav-9.10.tar.xz"
+
+SRC_URI[md5sum] = "4b49d1d8734815ca095bb0600d41c5cb"
+SRC_URI[sha256sum] = "83dbe640779da1c1e8d8836c99575f57f749d18407494ebca451578afee9300d"
+
+DEFAULT_PREFERENCE = "-1"
+
+LIC_FILES_CHKSUM = "file://COPYING.GPLv2;md5=b234ee4d69f5fce4486a80fdaf4a4263 \
+                    file://COPYING.GPLv3;md5=d32239bcb673463ab874e80d47fae504 \
+                    file://COPYING.LGPLv2.1;md5=bd7a443320af8c812e4c18d1b79df004 \
+                    file://COPYING.LGPLv3;md5=e6a600fd5e1d9cbde2d983680233ad02"